NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.ElementRevolveBuilder Class Reference

Represents a NXOpen.CAE.ElementRevolveBuilder More...

Inheritance diagram for NXOpen.CAE.ElementRevolveBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AngleType { PerCopy, Total }
 the angle type - total or per copy More...
 
enum  ElemDimType { Beam, Shell }
 Dimension of element to be created More...
 
enum  NewMeshType { Create, Existing }
 Option to create new mesh or add to existing mesh More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle More...
 
unsafe
NXOpen.CAE.ElementRevolveBuilder.AngleType 
AngleOption [get, set]
 Returns or sets the angle option More...
 
unsafe NXOpen.Axis Axis [get, set]
 Returns or sets the axis of revolution More...
 
unsafe string CollectorName [get, set]
 Returns or sets the mesh collector name More...
 
unsafe
NXOpen.CAE.ElementRevolveBuilder.ElemDimType 
ElementDimensionOption [get, set]
 Returns or sets the elem dimension option More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
Elements [get]
 Returns the selected elements to be revolved More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder. More...
 
unsafe bool ExportMesh [get, set]
 Returns or sets the option which indicates whether mesh is exported to solver or not. More...
 
unsafe int Increment [get, set]
 Returns or sets the increment More...
 
unsafe int Label [get, set]
 Returns or sets the label More...
 
unsafe string MeshName [get, set]
 Returns or sets the mesh name More...
 
unsafe string NeutralName [get, set]
 Returns or sets the element neutral name More...
 
unsafe
NXOpen.CAE.ElementRevolveBuilder.NewMeshType 
NewMeshOption [get, set]
 Returns or sets the new mesh option More...
 
unsafe int NumberOfCopy [get, set]
 Returns or sets the number of copies More...
 
unsafe bool RetainCollector [get, set]
 Returns or sets the the flag which decides whether collectors are to be retained or not More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ElementRevolveBuilder

To create a new instance of this class, use NXOpen.CAE.NodeElementManager.CreateElementRevolveBuilder

Created in NX5.0.0

Member Enumeration Documentation

the angle type - total or per copy

Enumerator
PerCopy 

angle per copy

Total 

total angle

Dimension of element to be created

Enumerator
Beam 

beam

Shell 

shell

Option to create new mesh or add to existing mesh

Enumerator
Create 

create new mesh

Existing 

add to existing mesh

Property Documentation

unsafe NXOpen.Expression NXOpen.CAE.ElementRevolveBuilder.Angle
get

Returns the angle

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementRevolveBuilder.AngleType NXOpen.CAE.ElementRevolveBuilder.AngleOption
getset

Returns or sets the angle option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Axis NXOpen.CAE.ElementRevolveBuilder.Axis
getset

Returns or sets the axis of revolution

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRevolveBuilder.CollectorName
getset

Returns or sets the mesh collector name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRevolveBuilder.ElemDimType NXOpen.CAE.ElementRevolveBuilder.ElementDimensionOption
getset

Returns or sets the elem dimension option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.ElementRevolveBuilder.Elements
get

Returns the selected elements to be revolved

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.ElementRevolveBuilder.ElementType
get

Returns the element type builder.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ElementRevolveBuilder.ExportMesh
getset

Returns or sets the option which indicates whether mesh is exported to solver or not.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRevolveBuilder.Increment
getset

Returns or sets the increment

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRevolveBuilder.Label
getset

Returns or sets the label

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRevolveBuilder.MeshName
getset

Returns or sets the mesh name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementRevolveBuilder.NeutralName
getset

Returns or sets the element neutral name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementRevolveBuilder.NewMeshType NXOpen.CAE.ElementRevolveBuilder.NewMeshOption
getset

Returns or sets the new mesh option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementRevolveBuilder.NumberOfCopy
getset

Returns or sets the number of copies

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ElementRevolveBuilder.RetainCollector
getset

Returns or sets the the flag which decides whether collectors are to be retained or not

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.